%global __python3 /usr/bin/python3.11
%global python3_pkgversion 3.11
%global sname requests-gssapi
%global s_name requests_gssapi

Name:           python%{python3_pkgversion}-%{sname}
Version:        1.2.3
Release:        3%{?dist}
Summary:        A GSSAPI/SPNEGO authentication handler for python-requests

License:        ISC
URL:            https://github.com/pythongssapi/%{sname}
Source0:        https://github.com/pythongssapi/%{sname}/releases/download/v%{version}/%{sname}-%{version}.tar.gz
BuildArch:      noarch

# Patches

BuildRequires:  git-core
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-gssapi
BuildRequires:  python%{python3_pkgversion}-requests
BuildRequires:  python%{python3_pkgversion}-setuptools

%global _description\
Requests is an HTTP library, written in Python, for human beings. This\
library adds optional GSSAPI authentication support and supports\
mutual authentication. It includes a fully backward-compatible shim\
for requests-kerberos.

%description %_description

%prep
%autosetup -S git_am -n %{sname}-%{version}

%build

%py3_build

%install
%py3_install

%check
%{__python3} -m unittest

%files -n python%{python3_pkgversion}-%{sname}
%doc README.rst AUTHORS HISTORY.rst
%license LICENSE
%{python3_sitelib}/%{s_name}*


%changelog
* Mon Aug 26 2024 Ken Dreyer <kdreyer@redhat.com> - 1.2.3-3
- Initial package for python 3.11 based on rhel-9.0.0.
- Thanks previous contibutors:
    Robbie Harwood <rharwood@redhat.com>
    Miro Hrončok <mhroncok@redhat.com>
